Freeze entity/object in current viewport

Discussion in 'AutoCAD' started by Rockwell, Jul 28, 2004.

  1. Rockwell

    Rockwell Guest

    Any ideas on how to select an entity/object and have only that entity/object freeze in the current viewport? I found a routine (below) that will freeze just the entities/objects but it does it in all viewports. Thanks for any input.

    ps- thanks to Dean Saadallah for the following routine.
    http://www.pendean.com

    ;Freeze entities
    (defun c:frz ()
    (prompt "\nSelect items you want frozen \n")
    (setq frzblk (ssget))
    (setq a (tblsearch "block" "freezeblk"))
    (if (= a nil)
    (command "block" "freezeblk" "0,0" frzblk "")
    )
    (if (/= a nil)
    (command "block" "freezeblk" "Y" "0,0" frzblk "")
    )
    )

    ;un-freeze entities
    (defun c:ufrz ()
    (command "insert" "freezeblk" "scale" "1" "0,0" "0")
    (command "explode" "last")
    )
     
    Rockwell, Jul 28, 2004
    #1
  2. Rockwell

    Paul Turvill Guest

    You can't "freeze" an *entity/object*; you can, however, put it on it's own
    layer, then freeze that *layer* in a viewport using the VPLAYER command. The
    routine Dean supplied simply creates a block of the objects you want to
    disappear, and removes the original objects from the visible database.
    "Thawing" them consists of re-inserting the block and exploding it. AFAIK,
    there's no way to do this on a viewport-by-viewport basis.
    ___

    entity/object freeze in the current viewport? I found a routine (below) that
    will freeze just the entities/objects but it does it in all viewports.
    Thanks for any input.
     
    Paul Turvill, Jul 28, 2004
    #2
  3. I'm not certain it is possible to modify an object's
    visibility property (regardless of layer) on a per
    viewport basis.


    --
    Autodesk Discussion Group Facilitator


    entity/object freeze in the current viewport?
     
    Jason Piercey, Jul 28, 2004
    #3
  4. Rockwell

    Rockwell Guest

    Thank you Paul and Jason for your replies.

    I was wondering if maybe Dean's routine could be enhanced to create the block of the object just in the current viewport and then remove it like the routine does just in the current viewport.

    Thanks for reading.
    -Phil
     
    Rockwell, Jul 28, 2004
    #4
  5. Rockwell

    Paul Turvill Guest

    No, as we replied earlier, it can NOT be done on a viewport-by-viewport
    basis.
    ___

    block of the object just in the current viewport and then remove it like the
    routine does just in the current viewport.
     
    Paul Turvill, Jul 29, 2004
    #5
  6. Rockwell

    MP Guest

    you could modify it to create a unique layer name (perhaps based on vp id
    like solprof does)
    then put the block on that layer, then freeze that layer in that vp only as
    Paul has suggested

    block of the object just in the current viewport and then remove it like the
    routine does just in the current viewport.
     
    MP, Jul 29, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.